import { AggregateRoot, AggregateID } from '@mobicoop/ddd-library';
import { AdProps, CreateAdProps } from './ad.types';

export class AdEntity extends AggregateRoot<AdProps> {
  protected readonly _id: AggregateID;

  static create = (create: CreateAdProps): AdEntity => {
    const props: AdProps = { ...create };
    return new AdEntity({ id: create.id, props });
  };

  validate(): void {
    // entity business rules validation to protect it's invariant before saving entity to a database
  }
}
