import { ExceptionBase } from '@mobicoop/ddd-library';

export class PathCreatorException extends ExceptionBase {
  static readonly message = 'Path creator error';

  public readonly code = 'MATCHER.PATH_CREATOR';

  constructor(cause?: Error, metadata?: unknown) {
    super(PathCreatorException.message, cause, metadata);
  }
}

export class CarpoolPathCreatorException extends ExceptionBase {
  static readonly message = 'Carpool path creator error';

  public readonly code = 'MATCHER.CARPOOL_PATH_CREATOR';

  constructor(cause?: Error, metadata?: unknown) {
    super(CarpoolPathCreatorException.message, cause, metadata);
  }
}
